/* init.c - initialise LDB file functions
 */

#include <stdlib.h>
#include "ldb.h"

char *ldb_lbuf = 0;
char *ldb_fbuf = 0;


/* Initialise the LDB functions by allocating the two buffers.
 */
void ldb_init(void)
{
	if (ldb_lbuf == 0)
		ldb_lbuf = malloc(1024);
	if (ldb_fbuf == 0)
		ldb_fbuf = malloc(1024);
}

/* EOF */
